#include <iostream>
using namespace std;

/* 
 * This program draws two kinds of triangles; one normal, one reverse (top of the triangle looks below)
 * Triangles are drawn using character *
 * Line number of the triangle is taken as input
 */


/*	This function takes number of lines as parameter,
	Draws a triangle in given number of lines by using * (star) and space characters.
	An example is below for lines = 5:

    *
   ***
  *****
 *******
*********

  */
void Triangle(int lines)
{
	int i, j, k, stars, space;

	//loop for each line
	for (i=0; i < lines; i++)
	{
		//display space characters before stars
		space = lines - i - 1;
		for(j=0; j < space; j++)
		{
			cout << " ";
		}

		//display stars
		stars = 2 * i + 1;
		for(k=0; k < stars; k++)
		{
			cout << "*";
		}
		//end of line
		cout << endl;
	}
}


/*	This function takes number of lines as parameter,
	Draws a reverse triangle in given number of lines by using * (star) and space characters
	The only difference btw Triangle() is, top corner of the triangle looks below rather than above
	An example is below for lines = 4:

*******
 *****
  ***
   *

	*/
void ReverseTriangle(int lines)
{
	int i, j, k, stars, space;

	//loop for each line
	for (i = lines - 1; i >= 0; i--)
	{
		//display space characters before stars
		space = lines - i - 1;
		for(k=0; k < space; k++)
		{
			cout << " ";
		}

		//display stars
		stars = 2 * i + 1;
		for(j=0; j < stars; j++)
		{
			cout << "*";
		}

		//end of line
		cout << endl;
	}
}


int main()
{
	int lines;
	cout << "Enter the number of lines for the triangle: ";
	cin  >> lines;

	Triangle(lines);	        //draws a normal triangle
	//ReverseTriangle(lines);	//draws a reverse triangle

    system("Pause");
	return 0;
}